GuideLab API

List Credit Notes

Retrieve a paginated list of credit notes for the authenticated lab. Supports filtering by status and search text.

GET
/credit-notes

Retrieve a paginated list of credit notes for the authenticated lab. Supports filtering by status and search text.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

page?integer
Range0 < value
Default1
limit?integer
Range0 < value <= 100
Default20
status?string
search?string
sortBy?string
Default"createdAt"

Value in

  • "createdAt"
  • "issueDate"
  • "creditNoteNumber"
  • "totalAmount"
sortOrder?string
Default"desc"

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

curl -X GET "https://example.com/credit-notes"
{  "data": [    null  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
{  "error": "string"}